# CoinBaseModel Class Reference

`#include <CoinModel.hpp>`

Inheritance diagram for CoinBaseModel:
[legend]

List of all members.

## Public Member Functions
Constructors, destructor
| CoinBaseModel ()
| Default Constructor.
| CoinBaseModel (const CoinBaseModel &rhs)
| Copy constructor.
CoinBaseModel & | operator= (const CoinBaseModel &rhs)
| Assignment operator.
virtual CoinBaseModel * | clone () const =0
| Clone.
virtual | ~CoinBaseModel ()
| Destructor.
For getting information
int | numberRows () const
| Return number of rows.
int | numberColumns () const
| Return number of columns.
virtual CoinBigIndex | numberElements () const =0
| Return number of elements.
double | objectiveOffset () const
| Returns the (constant) objective offset This is the RHS entry for the objective row.
void | setObjectiveOffset (double value)
| Set objective offset.
double | optimizationDirection () const
| Direction of optimization (1 - minimize, -1 - maximize, 0 - ignore.
void | setOptimizationDirection (double value)
| Set direction of optimization (1 - minimize, -1 - maximize, 0 - ignore.
int | logLevel () const
| Get print level 0 - off, 1 - errors, 2 - more.
void | setLogLevel (int value)
| Set print level 0 - off, 1 - errors, 2 - more.
const char * | getProblemName () const
| Return the problem name.
void | setProblemName (const char *name)
| Set problem name.
void | setProblemName (const std::string &name)
| Set problem name.
const std::string & | getRowBlock () const
| Return the row block name.
void | setRowBlock (const std::string &name)
| Set row block name.
const std::string & | getColumnBlock () const
| Return the column block name.
void | setColumnBlock (const std::string &name)
| Set column block name.
## Protected Attributes
Data members
int | numberRows_
| Current number of rows.
int | numberColumns_
| Current number of columns.
double | optimizationDirection_
| Direction of optimization (1 - minimize, -1 - maximize, 0 - ignore.
double | objectiveOffset_
| Objective offset to be passed on.
std::string | problemName_
| Problem name.
std::string | rowBlockName_
| Rowblock name.
std::string | columnBlockName_
| Columnblock name.
int | logLevel_
| Print level.

## Detailed Description

Definition at line 12 of file CoinModel.hpp.

## Constructor & Destructor Documentation

CoinBaseModel::CoinBaseModel | ( |  | ) |

Default Constructor.

CoinBaseModel::CoinBaseModel | ( | const CoinBaseModel & | rhs | ) |

Copy constructor.

virtual CoinBaseModel::~CoinBaseModel | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

CoinBaseModel& CoinBaseModel::operator= | ( | const CoinBaseModel & | rhs | ) |

Assignment operator.

Reimplemented in CoinModel, and CoinStructuredModel.

virtual CoinBaseModel* CoinBaseModel::clone | ( |  | ) | const`[pure virtual]`

Clone.

Implemented in CoinModel, and CoinStructuredModel.

int CoinBaseModel::numberRows | ( |  | ) | const`[inline]`

Return number of rows.

Definition at line 38 of file CoinModel.hpp.

int CoinBaseModel::numberColumns | ( |  | ) | const`[inline]`

Return number of columns.

Definition at line 41 of file CoinModel.hpp.

virtual CoinBigIndex CoinBaseModel::numberElements | ( |  | ) | const`[pure virtual]`

Return number of elements.

Implemented in CoinModel, and CoinStructuredModel.

double CoinBaseModel::objectiveOffset | ( |  | ) | const`[inline]`

Returns the (constant) objective offset This is the RHS entry for the objective row.

Definition at line 48 of file CoinModel.hpp.

void CoinBaseModel::setObjectiveOffset | ( | double | value | ) | `[inline]`

Set objective offset.

Definition at line 51 of file CoinModel.hpp.

double CoinBaseModel::optimizationDirection | ( |  | ) | const`[inline]`

Direction of optimization (1 - minimize, -1 - maximize, 0 - ignore.

Reimplemented in CoinModel, and CoinStructuredModel.

Definition at line 54 of file CoinModel.hpp.

void CoinBaseModel::setOptimizationDirection | ( | double | value | ) | `[inline]`

Set direction of optimization (1 - minimize, -1 - maximize, 0 - ignore.

Reimplemented in CoinModel, and CoinStructuredModel.

Definition at line 58 of file CoinModel.hpp.

int CoinBaseModel::logLevel | ( |  | ) | const`[inline]`

Get print level 0 - off, 1 - errors, 2 - more.

Definition at line 61 of file CoinModel.hpp.

void CoinBaseModel::setLogLevel | ( | int | value | ) |

Set print level 0 - off, 1 - errors, 2 - more.

const char* CoinBaseModel::getProblemName | ( |  | ) | const`[inline]`

Return the problem name.

Definition at line 66 of file CoinModel.hpp.

void CoinBaseModel::setProblemName | ( | const char * | name | ) |

Set problem name.

void CoinBaseModel::setProblemName | ( | const std::string & | name | ) |

Set problem name.

const std::string& CoinBaseModel::getRowBlock | ( |  | ) | const`[inline]`

Return the row block name.

Definition at line 73 of file CoinModel.hpp.

void CoinBaseModel::setRowBlock | ( | const std::string & | name | ) | `[inline]`

Set row block name.

Definition at line 76 of file CoinModel.hpp.

const std::string& CoinBaseModel::getColumnBlock | ( |  | ) | const`[inline]`

Return the column block name.

Definition at line 79 of file CoinModel.hpp.

void CoinBaseModel::setColumnBlock | ( | const std::string & | name | ) | `[inline]`

Set column block name.

Definition at line 82 of file CoinModel.hpp.

## Member Data Documentation

int CoinBaseModel::numberRows_`[protected]`

Current number of rows.

Definition at line 90 of file CoinModel.hpp.

int CoinBaseModel::numberColumns_`[protected]`

Current number of columns.

Definition at line 92 of file CoinModel.hpp.

double CoinBaseModel::optimizationDirection_`[protected]`

Direction of optimization (1 - minimize, -1 - maximize, 0 - ignore.

Definition at line 94 of file CoinModel.hpp.

double CoinBaseModel::objectiveOffset_`[protected]`

Objective offset to be passed on.

Definition at line 96 of file CoinModel.hpp.

std::string CoinBaseModel::problemName_`[protected]`

Problem name.

Definition at line 98 of file CoinModel.hpp.

std::string CoinBaseModel::rowBlockName_`[protected]`

Rowblock name.

Definition at line 100 of file CoinModel.hpp.

std::string CoinBaseModel::columnBlockName_`[protected]`

Columnblock name.

Definition at line 102 of file CoinModel.hpp.

int CoinBaseModel::logLevel_`[protected]`

Print level.

I could have gone for full message handling but this should normally be silent and lightweight. I can always change. 0 - no output 1 - on errors 2 - more detailed

Definition at line 110 of file CoinModel.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Bcps-0.93.11/CoinUtils/src/CoinModel.hpp